@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S %0 %*
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
if errorlevel 1 goto script_failed_so_exit_with_non_zero_val 2>nul
goto endofperl
@rem ';
#!/usr/bin/env perl
#line 15

use strict;
use warnings;

# PODNAME: github-mergevelocity
# ABSTRACT: CLI for determining how quickly a pull request might get merged

use GitHub::MergeVelocity;

GitHub::MergeVelocity->new_with_options->print_report;

__END__

=pod

=encoding UTF-8

=head1 NAME

github-mergevelocity - CLI for determining how quickly a pull request might get merged

=head1 VERSION

version 0.000006

=head1 SYNOPSIS

    github-mergevelocity --url oalders/html-restrict

=head1 ARGS

=head2 url

Expects an URL to a Github repository.  Mutliple C<--url> args can be supplied.

    github-mergevelocity --url oalders/html-restrict --url https://github.com/neilbowers/PAUSE-Packages

An url can be a proper URL to a git repo or even as succinct as
'username/repository-name'.

    github-mergevelocity --url oalders/html-restrict

If you're really lazy, you can even paste in an entire url which contains the
repo in it.  Be creative!

    github-mergevelocity --url https://github.com/neilbowers/PAUSE-Packages/issues

=head2 github-user

The username of your Github account.  You'll need this if you're hitting Github
API limits.  In most cases this won't be an issue.

=head2 github-token

An API token for your Github account.  You'll need this if you're hitting
Github API limits.  In most cases this won't be an issue.  See
L<https://help.github.com/articles/creating-an-access-token-for-command-line-use>
for more information.

=head2 cache-requests

Enable this if you're hitting API limits or need to speed up response time.

    github-mergevelocity --url https://github.com/oalders/html-restrict --cache-requests

=head1 AUTHOR

Olaf Alders <olaf@wundercounter.com>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2015 by Olaf Alders.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut

__END__
:endofperl
